## org.eclipse.emf.ocl.helper
Class HelperUtil

    java.lang.Object
      org.eclipse.emf.ocl.helper.HelperUtil

Deprecated. Use the `OCL` class, instead, to create `OCLHelper`s.

    @Deprecated
    public class HelperUtil

extends Object

Factory class for the creation of `IOCLHelper`s. Clients should use the `createOCLHelper()` or `createOCLHelper(EnvironmentFactory)` method to obtain OCL helpers.

Method Summary
`static IOCLHelper` `createOCLHelper()` Deprecated. Creates an `IOCLHelper` for the Ecore metamodel.
`static IOCLHelper` `createOCLHelper(EnvironmentFactory factory)` Deprecated. Creates an `IOCLHelper` for the specified EMF metamodel.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createOCLHelper

    public static IOCLHelper createOCLHelper()

  Deprecated.
  Creates an `IOCLHelper` for the Ecore metamodel.

  Returns:
    a new Ecore OCL helper

### createOCLHelper

    public static IOCLHelper createOCLHelper(EnvironmentFactory factory)

  Deprecated.
  Creates an `IOCLHelper` for the specified EMF metamodel. The factory creates OCL environments (with the packages, classifiers, states, etc.) from the instances of the metaclasses that mimic OCL/UML classifiers.

  Parameters:
    `factory` - the metamodel-specific OCL environment factory
  Returns:
    the new OCL helper

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.